# Fetching a list of Assignments

For Account Administrators, returns task assignments in all projects across an account.
For non-Account Administrators, returns task assignments only in projects they are part of.


This endpoint returns structured Assignment objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the assignments top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /assignments
Version: 1.0.0

## Query parameters:

  - `assignee_id` (integer)
    Only includes assignments that belong to the specified user ID.

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `current` (boolean)
    Only includes assignments that are active.

  - `external_reference_external_message` (string)
    Filter the objects based on the external message of their associated external references. This is an exact match.

  - `external_reference_external_status` (string)
    Filter by the status of the external object in the external system.

  - `external_reference_service_model` (string)
    Filter by the type of the external object this external reference belongs to.

  - `external_reference_service_model_ref` (integer)
    Filter by the id of the external object this external reference belongs to.

  - `external_reference_service_model_refs` (string)
    Filter for objects that correlate to the specified external object IDs. Provide a comma-separated list of up to 200 external IDs.

  - `external_reference_service_name` (string)
    Filter by the name of the provider for integration.

  - `external_reference_status` (string)
    Filter by the status of the integration, this can be successful or fail.

  - `has_external_references` (boolean)
    Filter by whether or not the object has external references.

  - `in_unarchived_stories` (boolean)
    Only includes assignments that belong to inactive tasks.
(Inactive tasks can exist in active projects, and vice versa.).

  - `in_unarchived_workspaces` (boolean)
    Only includes assignments that belong to active projects.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- assignee (User) - Retrieves the user assigned to the task. The response will include assignee_id, which references the data in the users top-level key.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- story (Story) - Retrieves the task. The response will include story_id, which references the data in the stories top-level key.
- story_allocation_days (StoryAllocationDay) - Retrieves the Story Allocation Days (i.e. Daily Scheduled Hours) for the resource assigned to the task. When using this
value, the plannable filter must be set to true. To retrieve story allocation days for unnamed resources, also set
the include_unnamed filter to true. The response will include story_allocation_day_ids, which references the data
in the story_allocation_days top-level key.

  - `include_unnamed` (boolean)
    Includes task assignments to unnamed resources. Think of unnamed resources as placeholders;
            it indicates the need for a certain role, before knowing who will fill it. Set to False by default.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc, created_at:desc, updated_at:asc, and updated_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `plannable` (boolean)
    Filters for assignments which the requester can view and create
            Daily Scheduled Hours) for. Must be set to true when using the include parameter with the story_allocation_days association.

  - `resource_id` (integer)
    Only includes assignments that belong to the specified resource ID.

  - `story_id` (integer)
    Only includes assignments that belong to the specified task ID.

  - `uncurrent` (boolean)
    Only includes assignments that are inactive.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `without_external_reference_service_name` (string)
    Exclude by the existence of an external reference with the specified service name.

  - `workspace_id` (integer)
    Only includes assignments that belong to the specified project ID.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `assignments` (object)

  - `external_references` (object)

  - `stories` (object)

  - `users` (object)

  - `story_allocation_days` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


